%define	upstream_name	 IO-Multiplex
%define	upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manage IO on many file handles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles.  It is essentially a really fancy front end to
the C<select> system call.  In addition to maintaining the C<select>
loop, it buffers all input and output to/from the file handles.  It
can also accept incoming connections on one or more listen sockets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes META.yml README TODO
%{perl_vendorlib}/IO
%{_mandir}/man*/*

%changelog
* Tue Apr 19 2011 jquelin <jquelin> 1.130.0-1.mga1
+ Revision: 88525
- update to 1.13

* Mon Feb 28 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 61465
- update to 1.12
- update to 1.12

* Sat Feb 26 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 60234
- rebuild
- update to 1.11

* Tue Jan 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 23330
- cleaning spec file
- imported package perl-IO-Multiplex


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 402557
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2009.1
+ Revision: 292185
- update to new version 1.10

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.09-3mdv2009.0
+ Revision: 223796
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.09-2mdv2008.1
+ Revision: 180411
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.09-1mdv2008.0
+ Revision: 20228
- 1.09


* Sun Sep 03 2006 Scott Karns <scottk@mandriva.org> 1.08-2mdv2007.0
- Fix BuildRequires
- Fix file ownership

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.08-1mdk
- 1.08
- fix perms

* Thu Sep 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.07-1mdk
- needed by perl-Net-Server

